Folder Customization

The Folder Customization API allows you to create and manage customized folders within Team Folders in WorkDrive. In general, Team Folders enable seamless collaboration with predefined user roles such as Admin, Organizer, Editor, Commenter, and Viewer.

By default, Team Folder members will have access to all files and folders within it. If you want to reduce a members permission for a folder or hide a folder completely from members or collaborators' view, you can use the customize folder permission option.

Note:
  • You can customize a folder in two ways:
    • While creating a new folder
    • By modifying an existing folder


Learn more about customizing folder permissions in a Team Folder

Download Folder Customization OpenAPI Document
Download






Create a new Customized Folder

Open in ChatGPT Open in ChatGPT to ask questions about this page
Open in Claude Open in Claude to ask questions about this page
Copy as MarkdownCopy this page as markdown to use with AI assistants
View as Markdown Open this page as markdown in a new tab

This API allows you to create a new customized folder within a Team Folder.

Use the File/Folder sharing APIs to define additional user access permissions.

Endpoints

OAuth Scope

WorkDrive.files.CREATECopied!

Request Example

cURL
cURL
Deluge
Copied!
curl --request POST \
  --url https://www.zohoapis.com/workdrive/api/v1/files \
  --header 'Authorization: Zoho-oauthtoken d92d4xxxxxxxxxxxxx15f52' \
  --header 'content-type: application/vnd.api+json' \
  --data '{"data":{"attributes":{"customized":true,"parent_id":"0nk78318a1771da934f22939e4a00d8aab225","name":"Collection"},"type":"files"}}'

Request Body

application/vnd.api+json
dataJSON Object(Required)
Hide Sub-Attributes
attributesJSON Object(Required)
Hide Sub-Attributes
customizedboolean(Required)

Set to "true" to create a customized folder.

parent_idstring(Required)

The unique ID of the destination folder or team folder.

namestring(Required)

The name of the new folder to be created.

typestring(Required)

The JSON:API resource type. Always "files".

Allowed Values :
Show Values
filesCopied!
Copied!Copy all as JSON Array

Body Parameters

Copied!
  {
    "data": {
      "attributes": {
        "customized": true,
        "parent_id": "0nk78318a1771da934f22939e4a00d8aab225",
        "name": "Collection"
      },
      "type": "files"
    }
  }
                
Show full

Response Example

R023

F7003

F7003

F973

R008

R008

F974

F7004

F972

F970

F970

F971

R602

R602

F000

200
200
400
401
403
412
422
500
Copied!
  {
    "resourceId": "string",
    "libInfo": {
      "res_type": "string",
      "cursorLink": {
        "cursor": {
          "next": "string",
          "hasNext": true
        }
      },
      "isCustomized": true,
      "isOrgTeamFolder": true,
      "name": "string",
      "resource_id": "string",
      "isPublicWithinTeam": true,
      "base_parent_id": "string"
    },
    "keepOriginal": true,
    "downloadUrl": "string",
    "editBadgeCount": 0,
    "convEngineType": 0,
    "creatorAvatarUrl": "string",
    "type": "string",
    "performtransition": {
      "workflow_id": "string",
      "workflowInstanceInfo": {
        "transitionusers": [
          {
            "instanceId": "string",
            "cursorLink": {},
            "userTypeStr": "string",
            "transitionId": "string",
            "userAvatarUrl": "string",
            "id": "string",
            "userName": "string",
            "userId": "string",
            "status": 0
          }
        ],
        "resourceId": "string",
        "cursorLink": {
          "cursor": {
            "next": "string",
            "hasNext": true
          }
        },
        "resourceIconClass": "string",
        "customMetaData": {
          "data_template_id": "string",
          "capabilities": {
            "canMove": true,
            "canEditComment": true,
            "canShowActiveWorkflowInstance": true,
            "canTrash": true,
            "canCheckout": true,
            "canFavourite": true,
            "canCreateGroup": true,
            "canDelete": true,
            "canTrashFiles": true,
            "canShowAccessStats": true,
            "canLeave": true,
            "canFavorite": true,
            "canShare": true,
            "canRestore": true,
            "canHaveOrgTemplates": true,
            "canDeleteComment": true,
            "canRemoveShare": true,
            "canCheckin": true,
            "canCreateFiles": true,
            "canUploadFiles": true,
            "canAssociateDataTemplate": true,
            "canCustomize": true,
            "canCreateTask": true,
            "canConfigureWorkflow": true,
            "canAccessMyfolder": true,
            "canEmailattach": true,
            "canDiscardCheckout": true,
            "canRead": true,
            "canReadComment": true,
            "canEdit": true,
            "canRename": true,
            "canZip": true,
            "hasAppPermissionAlone": true,
            "canSnooze": true,
            "canReplytoComment": true,
            "canSync": true,
            "canShareFiles": true,
            "canCancelCheckout": true,
            "canMarkAsFinal": true,
            "canMandateDataTemplate": true,
            "canCreateComment": true,
            "canCopy": true,
            "canPublish": true,
            "canDownload": true,
            "canJoin": true,
            "canDelistFile": true,
            "canPartialRead": true,
            "canShareSupport": true,
            "canShowActivity": true,
            "canLabel": true,
            "canDiassociate": true,
            "canShowWorkflowBlueprint": true,
            "canAbortWorkflow": true,
            "canResolveComment": true,
            "canManage": true,
            "canAddMembers": true,
            "canOpenWithAddons": true
          },
          "cursorLink": {
            "cursor": {}
          },
          "can_add_or_update": true,
          "custommetadata_id": "string",
          "name": "string",
          "resource_id": "string",
          "description": "string",
          "dataTemplateType": 0,
          "custom_data": [
            {
              "reorder_choices": [],
              "multiEmailAdditionalInfo": [],
              "options": [],
              "choices": []
            }
          ],
          "status": true,
          "is_associated_without_cf": true
        },
        "resourceName": "string",
        "workflowactions": [
          {
            "actionType": "string",
            "cursorLink": {},
            "action_id": "string",
            "module": "string",
            "actionIdStr": "string",
            "details": {},
            "category": 0
          }
        ],
        "journeyId": {},
        "initiatedTimeInMillis": 0,
        "transitions": [
          {}
        ],
        "instanceStatus": 0,
        "currentStateInfo": {
          "workflow_id": "string",
          "cursorLink": {
            "cursor": {}
          },
          "module": "string",
          "name": "string",
          "waitForEveryone": 0,
          "description": "string",
          "action": [
            {}
          ],
          "workflowactions": [
            {}
          ],
          "state_id": "string",
          "deadline": {
            "period": "string",
            "cursorLink": {},
            "schedules": [
              null
            ],
            "customFieldId": "string",
            "id": "string",
            "value": 0,
            "schedulesToCreate": [
              null
            ]
          },
          "state_id_str": "string"
        },
        "duringActionInfo": [
          {
            "actionType": "string",
            "cursorLink": {},
            "action_id": "string",
            "module": "string",
            "actionIdStr": "string",
            "details": {},
            "category": 0
          }
        ],
        "initiatedByUser": "string",
        "initiatedByAvatarUrl": "string",
        "statusChangedTime": "string",
        "workflowInfo": {
          "modifiedTime": "string",
          "workflow_id": "string",
          "cursorLink": {
            "cursor": {}
          },
          "createdByZuid": "string",
          "createdByUser": "string",
          "dataTemplateId": "string",
          "groupId": "string",
          "modifiedByZuid": "string",
          "description": "string",
          "transitions": [
            {}
          ],
          "states": [
            {
              "action": [],
              "workflowactions": []
            }
          ],
          "chartData": {
            "nodes": [
              null
            ],
            "connections": [
              null
            ]
          },
          "sourceWorkflowId": 0,
          "workflowinstances": [
            {}
          ],
          "modifiedByUser": "string",
          "createdTime": "string",
          "createdTimeInMillis": 0,
          "sequenceNumber": 0,
          "currentRecordCount": 0,
          "module": "string",
          "startTransition": {},
          "workflowactions": [
            {}
          ],
          "initiationType": 0,
          "creationType": 0,
          "name": "string",
          "clone": {},
          "modifiedTimeInMillis": 0,
          "status": 0
        },
        "instancelogs": [
          {
            "executedBy": "string",
            "owner": "string",
            "performedTransitionEvents": [
              null
            ],
            "triggerEventInfo": "string",
            "executedTransitionId": {},
            "cursorLink": {},
            "executedTime": "string",
            "fromStateId": {},
            "executedTransitionModule": "string",
            "executedByAvatarUrl": "string",
            "fromStateName": "string",
            "executedTriggerId": {},
            "executedByUser": "string",
            "versionNumber": "string",
            "performedActionEvents": [
              null
            ],
            "toStateName": "string",
            "executedByUserType": 0,
            "toStateId": {},
            "executedTriggerType": "string",
            "id": "string",
            "executedTimeInMillis": 0,
            "executedTransitionName": "string"
          }
        ],
        "statusChangedTimeInMillis": 0,
        "initiatedTime": "string",
        "customFunctionDetails": {
          "functionId": "string",
          "functionName": "string",
          "arguments": [
            {}
          ],
          "functionMapId": 0
        },
        "id": "string",
        "workflowId": "string",
        "initiatedBy": "string"
      },
      "cursorLink": {
        "cursor": {
          "next": "string",
          "hasNext": true
        }
      },
      "canPerformTransition": true,
      "transitionId": "string",
      "module": "string",
      "description": "string",
      "workflowactions": [
        {
          "actionType": "string",
          "cursorLink": {
            "cursor": {}
          },
          "action_id": "string",
          "module": "string",
          "actionIdStr": "string",
          "details": {
            "resourceDetails": {},
            "notificationDetails": {
              "recipients": []
            },
            "customFunctionExtraDetails": {
              "arguments": []
            },
            "shareDetails": {
              "shareCollaborators": []
            },
            "defaultDeadlineNotificationDetails": {
              "recipients": []
            },
            "customFunctionDetails": {
              "arguments": []
            },
            "customMetaDetails": {
              "customData": []
            },
            "taskDetails": {
              "taskCollaborators": [],
              "customFieldsToCollect": []
            }
          },
          "category": 0
        }
      ],
      "triggers": [
        {
          "trigger_id_str": "string",
          "cursorLink": {
            "cursor": {}
          },
          "criteria": {
            "comparator": "EQ",
            "group_operator": "AND",
            "value": {},
            "key": "string",
            "group": [
              null
            ]
          },
          "trigger_type": "string",
          "trigger_id": "string",
          "details": {
            "resourceDetails": {},
            "notificationDetails": {
              "recipients": []
            },
            "customFunctionExtraDetails": {
              "arguments": []
            },
            "shareDetails": {
              "shareCollaborators": []
            },
            "defaultDeadlineNotificationDetails": {
              "recipients": []
            },
            "customFunctionDetails": {
              "arguments": []
            },
            "customMetaDetails": {
              "customData": []
            },
            "taskDetails": {
              "taskCollaborators": [],
              "customFieldsToCollect": []
            }
          }
        }
      ],
      "completionRule": 0,
      "duringActionInfo": [
        {
          "actionType": "string",
          "cursorLink": {
            "cursor": {}
          },
          "action_id": "string",
          "module": "string",
          "actionIdStr": "string",
          "details": {
            "resourceDetails": {},
            "notificationDetails": {
              "recipients": []
            },
            "customFunctionExtraDetails": {
              "arguments": []
            },
            "shareDetails": {
              "shareCollaborators": []
            },
            "defaultDeadlineNotificationDetails": {
              "recipients": []
            },
            "customFunctionDetails": {
              "arguments": []
            },
            "customMetaDetails": {
              "customData": []
            },
            "taskDetails": {
              "taskCollaborators": [],
              "customFieldsToCollect": []
            }
          },
          "category": 0
        }
      ],
      "target_state_id": "string",
      "isUserPartOfTransition": true,
      "transitionperformers": [
        {
          "performerUserTypeStr": "string",
          "cursorLink": {
            "cursor": {}
          },
          "transitionId": "string",
          "performerName": "string",
          "emailId": "string",
          "performerAvatarUrl": "string",
          "id": "string",
          "performerId": "string",
          "performerType": "string"
        }
      ],
      "source_state_id": "string",
      "name": "string",
      "transition_id_str": "string",
      "customFunctionDetails": {
        "functionId": "string",
        "functionName": "string",
        "arguments": [
          {
            "dataType": "string",
            "name": "string",
            "value": "string"
          }
        ],
        "functionMapId": 0
      },
      "action": [
        {
          "cursorLink": {
            "cursor": {}
          },
          "action_type": "string",
          "action_id": "string",
          "module": "string",
          "action_id_str": "string",
          "details": {
            "resourceDetails": {},
            "notificationDetails": {
              "recipients": []
            },
            "customFunctionExtraDetails": {
              "arguments": []
            },
            "shareDetails": {
              "shareCollaborators": []
            },
            "defaultDeadlineNotificationDetails": {
              "recipients": []
            },
            "customFunctionDetails": {
              "arguments": []
            },
            "customMetaDetails": {
              "customData": []
            },
            "taskDetails": {
              "taskCollaborators": [],
              "customFieldsToCollect": []
            }
          },
          "category": 0
        }
      ],
      "id": "string"
    },
    "associatedDataTemplates": [
      {
        "data_template_id": "string",
        "capabilities": {
          "canMove": true,
          "canEditComment": true,
          "canShowActiveWorkflowInstance": true,
          "canTrash": true,
          "canCheckout": true,
          "canFavourite": true,
          "canCreateGroup": true,
          "canDelete": true,
          "canTrashFiles": true,
          "canShowAccessStats": true,
          "canLeave": true,
          "canFavorite": true,
          "canShare": true,
          "canRestore": true,
          "canHaveOrgTemplates": true,
          "canDeleteComment": true,
          "canRemoveShare": true,
          "canCheckin": true,
          "canCreateFiles": true,
          "canUploadFiles": true,
          "canAssociateDataTemplate": true,
          "canCustomize": true,
          "canCreateTask": true,
          "canConfigureWorkflow": true,
          "canAccessMyfolder": true,
          "canEmailattach": true,
          "canDiscardCheckout": true,
          "canRead": true,
          "canReadComment": true,
          "canEdit": true,
          "canRename": true,
          "canZip": true,
          "hasAppPermissionAlone": true,
          "canSnooze": true,
          "canReplytoComment": true,
          "canSync": true,
          "canShareFiles": true,
          "canCancelCheckout": true,
          "canMarkAsFinal": true,
          "canMandateDataTemplate": true,
          "canCreateComment": true,
          "canCopy": true,
          "canPublish": true,
          "canDownload": true,
          "canJoin": true,
          "canDelistFile": true,
          "canPartialRead": true,
          "canShareSupport": true,
          "canShowActivity": true,
          "canLabel": true,
          "canDiassociate": true,
          "canShowWorkflowBlueprint": true,
          "canAbortWorkflow": true,
          "canResolveComment": true,
          "canManage": true,
          "canAddMembers": true,
          "canOpenWithAddons": true
        },
        "cursorLink": {
          "cursor": {
            "next": "string",
            "hasNext": true
          }
        },
        "can_add_or_update": true,
        "custommetadata_id": "string",
        "name": "string",
        "resource_id": "string",
        "description": "string",
        "dataTemplateType": 0,
        "custom_data": [
          {
            "data_template_id": "string",
            "apiName": "string",
            "cursorLink": {},
            "reorder_choices": [
              null
            ],
            "custom_field_id": "string",
            "column_name": "string",
            "index": 0,
            "display_name": "string",
            "type": "string",
            "field_properties": {},
            "multiEmailAdditionalInfo": [
              null
            ],
            "isSearchableFieldUpdateInProgress": true,
            "options": [
              null
            ],
            "emailAdditionalInfo": {},
            "choices": [
              null
            ],
            "value": "string"
          }
        ],
        "status": true,
        "is_associated_without_cf": true
      }
    ],
    "accesschartdata": [
      {
        "actionType": 0,
        "cursorLink": {
          "cursor": {
            "next": "string",
            "hasNext": true
          }
        },
        "accessedDate": "string",
        "count": 0,
        "accessChartId": "string"
      }
    ],
    "uploadedTimeI18": "string",
    "isAppAssociated": true,
    "modified_time_in_millisecond": 0,
    "recentAction": "string",
    "importfile": {},
    "dataTemplateIdToMandate": "string",
    "permissions": [
      {
        "email_id": "string",
        "cursorLink": {
          "cursor": {
            "next": "string",
            "hasNext": true
          }
        },
        "isSharedToPartOfLib": true,
        "shared_time_in_millis": 0,
        "shared_by": "string",
        "expiry_in_millis": 0,
        "relation_type": 0,
        "expiration_date": "string",
        "type": "string",
        "shareToEntityInfo": {
          "entityLabel": "string",
          "entityLabelI18": "string",
          "avatarUrl": "string",
          "displayName": "string",
          "emailId": "string",
          "type": 0,
          "collaboratorsCount": 0
        },
        "password": "string",
        "role_id": 0,
        "shared_time": "string",
        "appShareData": {
          "entity_label": "string",
          "entity_value": "string",
          "association_id": 0,
          "entity_id": "string",
          "appData": {
            "cursorLink": {},
            "appName": "string",
            "appType": "string",
            "serviceOrgTypeId": 0,
            "canDissociate": true,
            "description": "string",
            "appKey": "string",
            "installationKey": "string"
          }
        },
        "shared_status": "string",
        "orgInvitedUser": true,
        "allow_for_suggestion": true,
        "resMeta": {
          "resourceShareInfo": [
            {}
          ]
        },
        "can_link_to_docs": true,
        "owner": "string",
        "permissionid": "string",
        "shared_type": "string",
        "send_notification_mail": true,
        "allowSharingOutside": true,
        "shared_to_entity": "string",
        "integrationentitymembers": [
          {
            "permissionId": "string",
            "resourceId": "string",
            "cursorLink": {},
            "avatarUrl": "string",
            "roleId": 0,
            "displayName": "string",
            "module": "string",
            "emailId": "string",
            "shareTo": "string",
            "entityId": "string",
            "integrationEntityId": "string",
            "associatedId": 0,
            "spaceId": "string",
            "sharedTimeForDisplay": "string",
            "sharedTime": 0,
            "sharedBy": "string",
            "integrationEntityMemberId": "string",
            "resourceType": 0
          }
        ],
        "delete_from_propagated_space": true,
        "isSharedViaWorkflow": true,
        "display_name": "string",
        "message": "string",
        "version": "string",
        "allow_download": true,
        "share_to": "string",
        "role_name": "string",
        "shareToMemberType": 0,
        "avatar_url": "string",
        "shared_to_member_type": 0,
        "shared_time_I18": "string",
        "is_password_protected": true,
        "resource_id": "string",
        "isExpired": true,
        "permalink": "string",
        "shared_by_zuid": "string",
        "isRestricted": true
      }
    ],
    "createdTime": "string",
    "resourceLinks": [
      {
        "expirationDateInMillis": 0,
        "modifiedTime": "string",
        "resourceId": "string",
        "fileName": "string",
        "notes": "string",
        "cursorLink": {
          "cursor": {
            "next": "string",
            "hasNext": true
          }
        },
        "createdTimeI18": "string",
        "modifiedTimeI18": "string",
        "link": "string",
        "downloadUrl": "string",
        "type": "string",
        "linkName": "string",
        "inputFields": [
          {
            "fieldName": "string",
            "encryptField": true,
            "isNameField": true,
            "fieldOptions": [
              null
            ],
            "id": 0,
            "fieldType": "NUMBER",
            "fieldValue": {},
            "status": 0
          }
        ],
        "password": {
          "linkId": "string",
          "passwordText": "string"
        },
        "view": {
          "layout": "string",
          "gridViewSize": 0,
          "sortOrder": "string",
          "listingColumns": "string",
          "sortBy": "string",
          "filteredBy": "string"
        },
        "isPasswordProtected": true,
        "resourceExtension": "string",
        "createdTime": "string",
        "modifiedBy": "string",
        "allowDownload": true,
        "createdTimeInMillis": 0,
        "expirationDate": "string",
        "requestUserData": true,
        "useShortenLink": true,
        "passwordText": "string",
        "roleId": 0,
        "canDisplayProfile": true,
        "serviceName": "string",
        "embedLinkMode": {
          "embedUrl": "string",
          "dimension": {
            "width": 0,
            "height": 0
          }
        },
        "resourceStatus": 0,
        "linkId": "string",
        "downloadLink": {
          "downloadLimit": 0,
          "downloadLimitPerUser": 0
        },
        "createdBy": "string",
        "report": [
          {
            "additionalInformation": {},
            "isSupportAccessed": true,
            "uploadCount": 0,
            "eventBy": "string",
            "avatarUrl": "string",
            "userName": "string",
            "userId": "string",
            "event_by_user_type": 0,
            "recentActionTimeInMillis": 0,
            "recentAction": "string",
            "actionId": 0,
            "details": {},
            "viewCount": 0,
            "recentActionTime": "string",
            "downloadCount": 0
          }
        ],
        "timeline": [
          {
            "country": "string",
            "cursorLink": {},
            "os": "string",
            "action_type": 0,
            "ip_address": "string",
            "eventByUserEmailId": "string",
            "event_by_user_type": 0,
            "audit_info": [
              null
            ],
            "event_by": "string",
            "event_by_user": "string",
            "avatar_url": "string",
            "action_id": 0,
            "browser": "string",
            "time": 0,
            "resource_name": "string",
            "device": "string",
            "operation": "string",
            "user_agent": "string",
            "events": [
              null
            ],
            "accessTime": "string",
            "info": "string",
            "access_time": "string"
          }
        ],
        "linkType": "string",
        "isExpired": true,
        "modifiedTimeInMillis": 0,
        "status": 0,
        "register": [
          {
            "linkId": "string",
            "cursorLink": {},
            "registryId": "string",
            "collectionLinkId": "string",
            "userName": "string",
            "userId": "string",
            "modifiedTimeInMillis": 0,
            "createdTimeInMillis": 0,
            "dataEntry": {
              "fields": {}
            }
          }
        ]
      }
    ],
    "overwrite": true,
    "spamInfo": {
      "isResSpam": true
    },
    "isCameraUploadFolder": true,
    "tasks": [
      {
        "user_status_changed_time_millis": 0,
        "cursorLink": {
          "cursor": {
            "next": "string",
            "hasNext": true
          }
        },
        "assigner_message": "string",
        "userStatusChangedTime": "string",
        "task_id": "string",
        "due_after": 0,
        "resource_icon_class": "string",
        "title": "string",
        "versionIdOnComplete": {},
        "created_by_user": "string",
        "modified_time": "string",
        "collaborators": [
          {
            "email_id": "string",
            "snooze_time_in_millis": 0,
            "assigned_to_username": "string",
            "resolve_status": 0,
            "capabilities": {},
            "cursorLink": {},
            "avatarUrl": "string",
            "task_id": "string",
            "assignee_message": "string",
            "modified_time": "string",
            "member_status": 0,
            "task_collaborator_id": "string",
            "status_changed_time": 0,
            "snooze_time": "string",
            "snooze_after": 0,
            "assigned_to": "string"
          }
        ],
        "due_at": "string",
        "modified_time_in_millis": 0,
        "customFieldsToCollect": [
          {
            "dataTemplate": {
              "customData": []
            },
            "status": 0
          }
        ],
        "created_time": "string",
        "task_status": 0,
        "capabilities": {
          "canMove": true,
          "canEditComment": true,
          "canShowActiveWorkflowInstance": true,
          "canTrash": true,
          "canCheckout": true,
          "canFavourite": true,
          "canCreateGroup": true,
          "canDelete": true,
          "canTrashFiles": true,
          "canShowAccessStats": true,
          "canLeave": true,
          "canFavorite": true,
          "canShare": true,
          "canRestore": true,
          "canHaveOrgTemplates": true,
          "canDeleteComment": true,
          "canRemoveShare": true,
          "canCheckin": true,
          "canCreateFiles": true,
          "canUploadFiles": true,
          "canAssociateDataTemplate": true,
          "canCustomize": true,
          "canCreateTask": true,
          "canConfigureWorkflow": true,
          "canAccessMyfolder": true,
          "canEmailattach": true,
          "canDiscardCheckout": true,
          "canRead": true,
          "canReadComment": true,
          "canEdit": true,
          "canRename": true,
          "canZip": true,
          "hasAppPermissionAlone": true,
          "canSnooze": true,
          "canReplytoComment": true,
          "canSync": true,
          "canShareFiles": true,
          "canCancelCheckout": true,
          "canMarkAsFinal": true,
          "canMandateDataTemplate": true,
          "canCreateComment": true,
          "canCopy": true,
          "canPublish": true,
          "canDownload": true,
          "canJoin": true,
          "canDelistFile": true,
          "canPartialRead": true,
          "canShareSupport": true,
          "canShowActivity": true,
          "canLabel": true,
          "canDiassociate": true,
          "canShowWorkflowBlueprint": true,
          "canAbortWorkflow": true,
          "canResolveComment": true,
          "canManage": true,
          "canAddMembers": true,
          "canOpenWithAddons": true
        },
        "avatarUrl": "string",
        "roleId": 0,
        "versionNumberOnComplete": "string",
        "completion_rule": 0,
        "save_as_template": true,
        "created_by_zuid": "string",
        "user_task_status": 0,
        "resource_id": "string",
        "created_time_in_millis": 0,
        "task_type": 0,
        "due_at_millis": 0,
        "resource_name": "string",
        "taskcollaborators": [
          {
            "email_id": "string",
            "snooze_time_in_millis": 0,
            "assigned_to_username": "string",
            "resolve_status": 0,
            "capabilities": {},
            "cursorLink": {},
            "avatarUrl": "string",
            "task_id": "string",
            "assignee_message": "string",
            "modified_time": "string",
            "member_status": 0,
            "task_collaborator_id": "string",
            "status_changed_time": 0,
            "snooze_time": "string",
            "snooze_after": 0,
            "assigned_to": "string"
          }
        ],
        "automationInfo": {
          "journeyName": "string",
          "instanceId": "string",
          "journeyId": "string"
        }
      }
    ],
    "displayHtmlName": "string",
    "isIndexLayoutFile": true,
    "deletedversions": [
      {
        "deletedVersionCount": 0,
        "hiddenVersion": true,
        "sizeInBytes": "string",
        "notes": "string",
        "version_number": 0.1,
        "keepForever": 0,
        "propertyBits": 0,
        "watermarked": 0,
        "isHiddenVersion": true,
        "retainableVersionCount": 0,
        "isMinorVersion": true,
        "restoreVersion": "string",
        "ver_id": "string",
        "isLocked": true,
        "delTime": 0,
        "previewzip": {
          "has_folders": true,
          "extn": "string",
          "total_entry_size": 0,
          "children": [
            {}
          ],
          "is_folder": true,
          "child_files_count": 0,
          "name": "string",
          "icon_class": "string",
          "path_name": "string",
          "hash": "string",
          "child_folders_count": 0
        },
        "tasks": [
          {
            "user_status_changed_time_millis": 0,
            "cursorLink": {},
            "assigner_message": "string",
            "userStatusChangedTime": "string",
            "task_id": "string",
            "due_after": 0,
            "resource_icon_class": "string",
            "title": "string",
            "versionIdOnComplete": {},
            "created_by_user": "string",
            "modified_time": "string",
            "collaborators": [
              null
            ],
            "due_at": "string",
            "modified_time_in_millis": 0,
            "customFieldsToCollect": [
              null
            ],
            "created_time": "string",
            "task_status": 0,
            "capabilities": {},
            "avatarUrl": "string",
            "roleId": 0,
            "versionNumberOnComplete": "string",
            "completion_rule": 0,
            "save_as_template": true,
            "created_by_zuid": "string",
            "user_task_status": 0,
            "resource_id": "string",
            "created_time_in_millis": 0,
            "task_type": 0,
            "due_at_millis": 0,
            "resource_name": "string",
            "taskcollaborators": [
              null
            ],
            "automationInfo": {}
          }
        ],
        "created_time": "string",
        "capabilities": {
          "canRead": true,
          "canEdit": true,
          "canDelete": true
        },
        "includeKeepForeverVersions": true,
        "previewinfo": {
          "preview_data_original_url": "string",
          "preview_status": 0,
          "pubsub_key": "string",
          "preview_data_url": "string",
          "pubsub_config": "string",
          "conversion_size_limit_in_bytes": "string",
          "preview_data_hls_url": "string",
          "pubsub_uri": "string",
          "isdeveloper_file": true,
          "print_url": "string",
          "size": "string",
          "isDownloadServerFile": true,
          "preview_url": "string",
          "size_in_bytes": "string",
          "resource_type_modified": true,
          "conversion_size_limit": "string",
          "id": "string",
          "poster_image": "string"
        },
        "version_id": 0,
        "created_by": "string",
        "delTimeI18": "string",
        "file_size": 0,
        "revert_to": "string",
        "createdTimeInMilliseconds": 0,
        "resource_id": "string",
        "minorVersion": true,
        "status": 0,
        "fileId": 0
      }
    ],
    "shortcutLink": "string",
    "statusChangeTime": "string",
    "approvedversions": [
      {
        "deletedVersionCount": 0,
        "hiddenVersion": true,
        "sizeInBytes": "string",
        "notes": "string",
        "version_number": 0.1,
        "keepForever": 0,
        "propertyBits": 0,
        "watermarked": 0,
        "isHiddenVersion": true,
        "retainableVersionCount": 0,
        "isMinorVersion": true,
        "restoreVersion": "string",
        "ver_id": "string",
        "isLocked": true,
        "delTime": 0,
        "previewzip": {
          "has_folders": true,
          "extn": "string",
          "total_entry_size": 0,
          "children": [
            {}
          ],
          "is_folder": true,
          "child_files_count": 0,
          "name": "string",
          "icon_class": "string",
          "path_name": "string",
          "hash": "string",
          "child_folders_count": 0
        },
        "tasks": [
          {
            "user_status_changed_time_millis": 0,
            "cursorLink": {},
            "assigner_message": "string",
            "userStatusChangedTime": "string",
            "task_id": "string",
            "due_after": 0,
            "resource_icon_class": "string",
            "title": "string",
            "versionIdOnComplete": {},
            "created_by_user": "string",
            "modified_time": "string",
            "collaborators": [
              null
            ],
            "due_at": "string",
            "modified_time_in_millis": 0,
            "customFieldsToCollect": [
              null
            ],
            "created_time": "string",
            "task_status": 0,
            "capabilities": {},
            "avatarUrl": "string",
            "roleId": 0,
            "versionNumberOnComplete": "string",
            "completion_rule": 0,
            "save_as_template": true,
            "created_by_zuid": "string",
            "user_task_status": 0,
            "resource_id": "string",
            "created_time_in_millis": 0,
            "task_type": 0,
            "due_at_millis": 0,
            "resource_name": "string",
            "taskcollaborators": [
              null
            ],
            "automationInfo": {}
          }
        ],
        "created_time": "string",
        "capabilities": {
          "canRead": true,
          "canEdit": true,
          "canDelete": true
        },
        "includeKeepForeverVersions": true,
        "previewinfo": {
          "preview_data_original_url": "string",
          "preview_status": 0,
          "pubsub_key": "string",
          "preview_data_url": "string",
          "pubsub_config": "string",
          "conversion_size_limit_in_bytes": "string",
          "preview_data_hls_url": "string",
          "pubsub_uri": "string",
          "isdeveloper_file": true,
          "print_url": "string",
          "size": "string",
          "isDownloadServerFile": true,
          "preview_url": "string",
          "size_in_bytes": "string",
          "resource_type_modified": true,
          "conversion_size_limit": "string",
          "id": "string",
          "poster_image": "string"
        },
        "version_id": 0,
        "created_by": "string",
        "delTimeI18": "string",
        "file_size": 0,
        "revert_to": "string",
        "createdTimeInMilliseconds": 0,
        "resource_id": "string",
        "minorVersion": true,
        "status": 0,
        "fileId": 0
      }
    ],
    "indexedStatus": 0,
    "version": "string",
    "organizedLibraryId": "string",
    "labels": [
      {
        "cursorLink": {
          "cursor": {
            "next": "string",
            "hasNext": true
          }
        },
        "color": "string",
        "user_id": "string",
        "name": "string",
        "index": 0,
        "files": [
          {}
        ],
        "id": "string",
        "team_id": "string",
        "type": 0,
        "label_id": "string"
      }
    ],
    "dlpInfo": {
      "cursorLink": {
        "cursor": {
          "next": "string",
          "hasNext": true
        }
      },
      "dlpInfoId": "string",
      "dlpMetaInfo": [
        {
          "classificationLabelId": 0,
          "actionType": "string",
          "classificationLabelAssociatedActions": [
            "string"
          ],
          "cursorLink": {
            "cursor": {}
          },
          "policyId": 0,
          "policyName": "string",
          "dlpMetaid": "string",
          "classificationLabelColor": "string",
          "associatedByUserName": "string",
          "classificationLabelName": "string",
          "classificationLabelType": 0,
          "associatedByUser": "string"
        }
      ],
      "dlpTopLevelActions": {
        "canWarnOnShare": true,
        "cursorLink": {
          "cursor": {
            "next": "string",
            "hasNext": true
          }
        },
        "dlpTopLevelActionsid": "string",
        "canRestrictDownload": true,
        "canRestrictShare": true
      }
    },
    "user_access_time_i18": "string",
    "versions": [
      {
        "deletedVersionCount": 0,
        "hiddenVersion": true,
        "sizeInBytes": "string",
        "notes": "string",
        "version_number": 0.1,
        "keepForever": 0,
        "propertyBits": 0,
        "watermarked": 0,
        "isHiddenVersion": true,
        "retainableVersionCount": 0,
        "isMinorVersion": true,
        "restoreVersion": "string",
        "ver_id": "string",
        "isLocked": true,
        "delTime": 0,
        "previewzip": {
          "has_folders": true,
          "extn": "string",
          "total_entry_size": 0,
          "children": [
            {}
          ],
          "is_folder": true,
          "child_files_count": 0,
          "name": "string",
          "icon_class": "string",
          "path_name": "string",
          "hash": "string",
          "child_folders_count": 0
        },
        "tasks": [
          {
            "user_status_changed_time_millis": 0,
            "cursorLink": {},
            "assigner_message": "string",
            "userStatusChangedTime": "string",
            "task_id": "string",
            "due_after": 0,
            "resource_icon_class": "string",
            "title": "string",
            "versionIdOnComplete": {},
            "created_by_user": "string",
            "modified_time": "string",
            "collaborators": [
              null
            ],
            "due_at": "string",
            "modified_time_in_millis": 0,
            "customFieldsToCollect": [
              null
            ],
            "created_time": "string",
            "task_status": 0,
            "capabilities": {},
            "avatarUrl": "string",
            "roleId": 0,
            "versionNumberOnComplete": "string",
            "completion_rule": 0,
            "save_as_template": true,
            "created_by_zuid": "string",
            "user_task_status": 0,
            "resource_id": "string",
            "created_time_in_millis": 0,
            "task_type": 0,
            "due_at_millis": 0,
            "resource_name": "string",
            "taskcollaborators": [
              null
            ],
            "automationInfo": {}
          }
        ],
        "created_time": "string",
        "capabilities": {
          "canRead": true,
          "canEdit": true,
          "canDelete": true
        },
        "includeKeepForeverVersions": true,
        "previewinfo": {
          "preview_data_original_url": "string",
          "preview_status": 0,
          "pubsub_key": "string",
          "preview_data_url": "string",
          "pubsub_config": "string",
          "conversion_size_limit_in_bytes": "string",
          "preview_data_hls_url": "string",
          "pubsub_uri": "string",
          "isdeveloper_file": true,
          "print_url": "string",
          "size": "string",
          "isDownloadServerFile": true,
          "preview_url": "string",
          "size_in_bytes": "string",
          "resource_type_modified": true,
          "conversion_size_limit": "string",
          "id": "string",
          "poster_image": "string"
        },
        "version_id": 0,
        "created_by": "string",
        "delTimeI18": "string",
        "file_size": 0,
        "revert_to": "string",
        "createdTimeInMilliseconds": 0,
        "resource_id": "string",
        "minorVersion": true,
        "status": 0,
        "fileId": 0
      }
    ],
    "startjourney": {
      "workflow_id": "string",
      "workflowInstanceInfo": {
        "transitionusers": [
          {
            "instanceId": "string",
            "cursorLink": {},
            "userTypeStr": "string",
            "transitionId": "string",
            "userAvatarUrl": "string",
            "id": "string",
            "userName": "string",
            "userId": "string",
            "status": 0
          }
        ],
        "resourceId": "string",
        "cursorLink": {
          "cursor": {
            "next": "string",
            "hasNext": true
          }
        },
        "resourceIconClass": "string",
        "customMetaData": {
          "data_template_id": "string",
          "capabilities": {
            "canMove": true,
            "canEditComment": true,
            "canShowActiveWorkflowInstance": true,
            "canTrash": true,
            "canCheckout": true,
            "canFavourite": true,
            "canCreateGroup": true,
            "canDelete": true,
            "canTrashFiles": true,
            "canShowAccessStats": true,
            "canLeave": true,
            "canFavorite": true,
            "canShare": true,
            "canRestore": true,
            "canHaveOrgTemplates": true,
            "canDeleteComment": true,
            "canRemoveShare": true,
            "canCheckin": true,
            "canCreateFiles": true,
            "canUploadFiles": true,
            "canAssociateDataTemplate": true,
            "canCustomize": true,
            "canCreateTask": true,
            "canConfigureWorkflow": true,
            "canAccessMyfolder": true,
            "canEmailattach": true,
            "canDiscardCheckout": true,
            "canRead": true,
            "canReadComment": true,
            "canEdit": true,
            "canRename": true,
            "canZip": true,
            "hasAppPermissionAlone": true,
            "canSnooze": true,
            "canReplytoComment": true,
            "canSync": true,
            "canShareFiles": true,
            "canCancelCheckout": true,
            "canMarkAsFinal": true,
            "canMandateDataTemplate": true,
            "canCreateComment": true,
            "canCopy": true,
            "canPublish": true,
            "canDownload": true,
            "canJoin": true,
            "canDelistFile": true,
            "canPartialRead": true,
            "canShareSupport": true,
            "canShowActivity": true,
            "canLabel": true,
            "canDiassociate": true,
            "canShowWorkflowBlueprint": true,
            "canAbortWorkflow": true,
            "canResolveComment": true,
            "canManage": true,
            "canAddMembers": true,
            "canOpenWithAddons": true
          },
          "cursorLink": {
            "cursor": {}
          },
          "can_add_or_update": true,
          "custommetadata_id": "string",
          "name": "string",
          "resource_id": "string",
          "description": "string",
          "dataTemplateType": 0,
          "custom_data": [
            {
              "reorder_choices": [],
              "multiEmailAdditionalInfo": [],
              "options": [],
              "choices": []
            }
          ],
          "status": true,
          "is_associated_without_cf": true
        },
        "resourceName": "string",
        "workflowactions": [
          {
            "actionType": "string",
            "cursorLink": {},
            "action_id": "string",
            "module": "string",
            "actionIdStr": "string",
            "details": {},
            "category": 0
          }
        ],
        "journeyId": {},
        "initiatedTimeInMillis": 0,
        "transitions": [
          {}
        ],
        "instanceStatus": 0,
        "currentStateInfo": {
          "workflow_id": "string",
          "cursorLink": {
            "cursor": {}
          },
          "module": "string",
          "name": "string",
          "waitForEveryone": 0,
          "description": "string",
          "action": [
            {}
          ],
          "workflowactions": [
            {}
          ],
          "state_id": "string",
          "deadline": {
            "period": "string",
            "cursorLink": {},
            "schedules": [
              null
            ],
            "customFieldId": "string",
            "id": "string",
            "value": 0,
            "schedulesToCreate": [
              null
            ]
          },
          "state_id_str": "string"
        },
        "duringActionInfo": [
          {
            "actionType": "string",
            "cursorLink": {},
            "action_id": "string",
            "module": "string",
            "actionIdStr": "string",
            "details": {},
            "category": 0
          }
        ],
        "initiatedByUser": "string",
        "initiatedByAvatarUrl": "string",
        "statusChangedTime": "string",
        "workflowInfo": {
          "modifiedTime": "string",
          "workflow_id": "string",
          "cursorLink": {
            "cursor": {}
          },
          "createdByZuid": "string",
          "createdByUser": "string",
          "dataTemplateId": "string",
          "groupId": "string",
          "modifiedByZuid": "string",
          "description": "string",
          "transitions": [
            {}
          ],
          "states": [
            {
              "action": [],
              "workflowactions": []
            }
          ],
          "chartData": {
            "nodes": [
              null
            ],
            "connections": [
              null
            ]
          },
          "sourceWorkflowId": 0,
          "workflowinstances": [
            {}
          ],
          "modifiedByUser": "string",
          "createdTime": "string",
          "createdTimeInMillis": 0,
          "sequenceNumber": 0,
          "currentRecordCount": 0,
          "module": "string",
          "startTransition": {},
          "workflowactions": [
            {}
          ],
          "initiationType": 0,
          "creationType": 0,
          "name": "string",
          "clone": {},
          "modifiedTimeInMillis": 0,
          "status": 0
        },
        "instancelogs": [
          {
            "executedBy": "string",
            "owner": "string",
            "performedTransitionEvents": [
              null
            ],
            "triggerEventInfo": "string",
            "executedTransitionId": {},
            "cursorLink": {},
            "executedTime": "string",
            "fromStateId": {},
            "executedTransitionModule": "string",
            "executedByAvatarUrl": "string",
            "fromStateName": "string",
            "executedTriggerId": {},
            "executedByUser": "string",
            "versionNumber": "string",
            "performedActionEvents": [
              null
            ],
            "toStateName": "string",
            "executedByUserType": 0,
            "toStateId": {},
            "executedTriggerType": "string",
            "id": "string",
            "executedTimeInMillis": 0,
            "executedTransitionName": "string"
          }
        ],
        "statusChangedTimeInMillis": 0,
        "initiatedTime": "string",
        "customFunctionDetails": {
          "functionId": "string",
          "functionName": "string",
          "arguments": [
            {}
          ],
          "functionMapId": 0
        },
        "id": "string",
        "workflowId": "string",
        "initiatedBy": "string"
      },
      "cursorLink": {
        "cursor": {
          "next": "string",
          "hasNext": true
        }
      },
      "canPerformTransition": true,
      "transitionId": "string",
      "module": "string",
      "description": "string",
      "workflowactions": [
        {
          "actionType": "string",
          "cursorLink": {
            "cursor": {}
          },
          "action_id": "string",
          "module": "string",
          "actionIdStr": "string",
          "details": {
            "resourceDetails": {},
            "notificationDetails": {
              "recipients": []
            },
            "customFunctionExtraDetails": {
              "arguments": []
            },
            "shareDetails": {
              "shareCollaborators": []
            },
            "defaultDeadlineNotificationDetails": {
              "recipients": []
            },
            "customFunctionDetails": {
              "arguments": []
            },
            "customMetaDetails": {
              "customData": []
            },
            "taskDetails": {
              "taskCollaborators": [],
              "customFieldsToCollect": []
            }
          },
          "category": 0
        }
      ],
      "triggers": [
        {
          "trigger_id_str": "string",
          "cursorLink": {
            "cursor": {}
          },
          "criteria": {
            "comparator": "EQ",
            "group_operator": "AND",
            "value": {},
            "key": "string",
            "group": [
              null
            ]
          },
          "trigger_type": "string",
          "trigger_id": "string",
          "details": {
            "resourceDetails": {},
            "notificationDetails": {
              "recipients": []
            },
            "customFunctionExtraDetails": {
              "arguments": []
            },
            "shareDetails": {
              "shareCollaborators": []
            },
            "defaultDeadlineNotificationDetails": {
              "recipients": []
            },
            "customFunctionDetails": {
              "arguments": []
            },
            "customMetaDetails": {
              "customData": []
            },
            "taskDetails": {
              "taskCollaborators": [],
              "customFieldsToCollect": []
            }
          }
        }
      ],
      "completionRule": 0,
      "duringActionInfo": [
        {
          "actionType": "string",
          "cursorLink": {
            "cursor": {}
          },
          "action_id": "string",
          "module": "string",
          "actionIdStr": "string",
          "details": {
            "resourceDetails": {},
            "notificationDetails": {
              "recipients": []
            },
            "customFunctionExtraDetails": {
              "arguments": []
            },
            "shareDetails": {
              "shareCollaborators": []
            },
            "defaultDeadlineNotificationDetails": {
              "recipients": []
            },
            "customFunctionDetails": {
              "arguments": []
            },
            "customMetaDetails": {
              "customData": []
            },
            "taskDetails": {
              "taskCollaborators": [],
              "customFieldsToCollect": []
            }
          },
          "category": 0
        }
      ],
      "target_state_id": "string",
      "isUserPartOfTransition": true,
      "transitionperformers": [
        {
          "performerUserTypeStr": "string",
          "cursorLink": {
            "cursor": {}
          },
          "transitionId": "string",
          "performerName": "string",
          "emailId": "string",
          "performerAvatarUrl": "string",
          "id": "string",
          "performerId": "string",
          "performerType": "string"
        }
      ],
      "source_state_id": "string",
      "name": "string",
      "transition_id_str": "string",
      "customFunctionDetails": {
        "functionId": "string",
        "functionName": "string",
        "arguments": [
          {
            "dataType": "string",
            "name": "string",
            "value": "string"
          }
        ],
        "functionMapId": 0
      },
      "action": [
        {
          "cursorLink": {
            "cursor": {}
          },
          "action_type": "string",
          "action_id": "string",
          "module": "string",
          "action_id_str": "string",
          "details": {
            "resourceDetails": {},
            "notificationDetails": {
              "recipients": []
            },
            "customFunctionExtraDetails": {
              "arguments": []
            },
            "shareDetails": {
              "shareCollaborators": []
            },
            "defaultDeadlineNotificationDetails": {
              "recipients": []
            },
            "customFunctionDetails": {
              "arguments": []
            },
            "customMetaDetails": {
              "customData": []
            },
            "taskDetails": {
              "taskCollaborators": [],
              "customFieldsToCollect": []
            }
          },
          "category": 0
        }
      ],
      "id": "string"
    },
    "dlpProperty": [
      {
        "classificationLabelId": 0,
        "cursorLink": {
          "cursor": {
            "next": "string",
            "hasNext": true
          }
        },
        "statusChangedTimeI18": "string",
        "associatedTime": 0,
        "statusChangedByUser": "string",
        "associatedBy": "string",
        "associatedTimeI18": "string",
        "statusChangedTime": 0,
        "policyId": 0,
        "id": "string",
        "classificationLabelType": 0,
        "associatedByUser": "string",
        "statusChangedBy": "string",
        "status": 0
      }
    ],
    "displayAttrName": "string",
    "lockVersion": "string",
    "permalink": "string",
    "favorite": true,
    "breadcrumbs": [
      {
        "link_type": "string",
        "resBreadCrumbsMeta": {
          "resourceBreadCrumbsInfo": [
            {}
          ]
        },
        "cursorLink": {
          "cursor": {
            "next": "string",
            "hasNext": true
          }
        },
        "file_id": "string",
        "type": "string",
        "parent_ids": [
          {
            "res_type": "string",
            "cursorLink": {},
            "isCustomized": true,
            "isOrgTeamFolder": true,
            "name": "string",
            "resource_id": "string",
            "isPublicWithinTeam": true,
            "base_parent_id": "string"
          }
        ]
      }
    ],
    "isExternalUpload": true,
    "status": 0,
    "versionCount": 0,
    "linkfile": {},
    "extn": "string",
    "customized": true,
    "cursorLink": {
      "cursor": {
        "next": "string",
        "hasNext": true
      }
    },
    "filequery": {
      "timeTaken": {
        "totalTime": 0,
        "vectorDBTime": 0,
        "llmTime": 0,
        "dfsReadTime": 0
      },
      "cursorLink": {
        "cursor": {
          "next": "string",
          "hasNext": true
        }
      },
      "answer": "string",
      "question": "string",
      "conversationId": "string",
      "allReferences": [
        {
          "score": 0.1,
          "fileName": "string",
          "resourceId": "string",
          "text": "string",
          "time": 0,
          "position": [
            {}
          ],
          "iconClass": "string"
        }
      ],
      "embeddingModelProvider": "string",
      "referredFiles": [
        {
          "score": 0.1,
          "fileName": "string",
          "resourceId": "string",
          "text": "string",
          "time": 0,
          "position": [
            {}
          ],
          "iconClass": "string"
        }
      ],
      "embeddingModel": "string",
      "responseGenerationModelProvider": "string",
      "fileId": "string",
      "status": 0
    },
    "dlpsensitivecontentidentifiers": [
      {
        "cursorLink": {
          "cursor": {
            "next": "string",
            "hasNext": true
          }
        },
        "ruleType": 0,
        "dlpSensitiveContentIdentifierId": 0,
        "name": "string",
        "description": "string",
        "ruleId": 0,
        "category": "string",
        "region": "string"
      }
    ],
    "view_pref": {
      "layout": "string",
      "gridViewSize": 0,
      "sortOrder": "string",
      "listingColumns": "string",
      "sortBy": "string",
      "filteredBy": "string"
    },
    "libraryId": "string",
    "modifiedByZuid": "string",
    "pdfEditorOpenUrl": "string",
    "locked_by_zuid": "string",
    "appEntity": [
      {
        "entityLabel": "string",
        "resourceId": "string",
        "newEntityId": "string",
        "entityValue": "string",
        "cursorLink": {
          "cursor": {
            "next": "string",
            "hasNext": true
          }
        },
        "module": "string",
        "setByRecord": true,
        "entityId": "string",
        "status": 0
      }
    ],
    "pdfEditorConversionUrl": "string",
    "unzip": {
      "selected_file_extraction": true,
      "parent_id": "string",
      "merge": "string",
      "resource_id": "string",
      "selected_hash_codes": "string",
      "folder_id": "string",
      "unzipInfo": {
        "children": [
          {}
        ],
        "name": "string",
        "id": "string"
      },
      "version": "string",
      "merger": "string"
    },
    "customizedBy": "string",
    "orgId": "string",
    "files_view_pref": {
      "layout": "string",
      "gridViewSize": 0,
      "sortOrder": "string",
      "listingColumns": "string",
      "sortBy": "string",
      "filteredBy": "string"
    },
    "workflowinstances": [
      {
        "transitionusers": [
          {
            "instanceId": "string",
            "cursorLink": {},
            "userTypeStr": "string",
            "transitionId": "string",
            "userAvatarUrl": "string",
            "id": "string",
            "userName": "string",
            "userId": "string",
            "status": 0
          }
        ],
        "resourceId": "string",
        "cursorLink": {
          "cursor": {
            "next": "string",
            "hasNext": true
          }
        },
        "resourceIconClass": "string",
        "customMetaData": {
          "data_template_id": "string",
          "capabilities": {
            "canMove": true,
            "canEditComment": true,
            "canShowActiveWorkflowInstance": true,
            "canTrash": true,
            "canCheckout": true,
            "canFavourite": true,
            "canCreateGroup": true,
            "canDelete": true,
            "canTrashFiles": true,
            "canShowAccessStats": true,
            "canLeave": true,
            "canFavorite": true,
            "canShare": true,
            "canRestore": true,
            "canHaveOrgTemplates": true,
            "canDeleteComment": true,
            "canRemoveShare": true,
            "canCheckin": true,
            "canCreateFiles": true,
            "canUploadFiles": true,
            "canAssociateDataTemplate": true,
            "canCustomize": true,
            "canCreateTask": true,
            "canConfigureWorkflow": true,
            "canAccessMyfolder": true,
            "canEmailattach": true,
            "canDiscardCheckout": true,
            "canRead": true,
            "canReadComment": true,
            "canEdit": true,
            "canRename": true,
            "canZip": true,
            "hasAppPermissionAlone": true,
            "canSnooze": true,
            "canReplytoComment": true,
            "canSync": true,
            "canShareFiles": true,
            "canCancelCheckout": true,
            "canMarkAsFinal": true,
            "canMandateDataTemplate": true,
            "canCreateComment": true,
            "canCopy": true,
            "canPublish": true,
            "canDownload": true,
            "canJoin": true,
            "canDelistFile": true,
            "canPartialRead": true,
            "canShareSupport": true,
            "canShowActivity": true,
            "canLabel": true,
            "canDiassociate": true,
            "canShowWorkflowBlueprint": true,
            "canAbortWorkflow": true,
            "canResolveComment": true,
            "canManage": true,
            "canAddMembers": true,
            "canOpenWithAddons": true
          },
          "cursorLink": {
            "cursor": {}
          },
          "can_add_or_update": true,
          "custommetadata_id": "string",
          "name": "string",
          "resource_id": "string",
          "description": "string",
          "dataTemplateType": 0,
          "custom_data": [
            {
              "reorder_choices": [],
              "multiEmailAdditionalInfo": [],
              "options": [],
              "choices": []
            }
          ],
          "status": true,
          "is_associated_without_cf": true
        },
        "resourceName": "string",
        "workflowactions": [
          {
            "actionType": "string",
            "cursorLink": {},
            "action_id": "string",
            "module": "string",
            "actionIdStr": "string",
            "details": {},
            "category": 0
          }
        ],
        "journeyId": {},
        "initiatedTimeInMillis": 0,
        "transitions": [
          {
            "workflow_id": "string",
            "workflowInstanceInfo": {},
            "cursorLink": {},
            "canPerformTransition": true,
            "transitionId": "string",
            "module": "string",
            "description": "string",
            "workflowactions": [
              null
            ],
            "triggers": [
              null
            ],
            "completionRule": 0,
            "duringActionInfo": [
              null
            ],
            "target_state_id": "string",
            "isUserPartOfTransition": true,
            "transitionperformers": [
              null
            ],
            "source_state_id": "string",
            "name": "string",
            "transition_id_str": "string",
            "customFunctionDetails": {
              "arguments": []
            },
            "action": [
              null
            ],
            "id": "string"
          }
        ],
        "instanceStatus": 0,
        "currentStateInfo": {
          "workflow_id": "string",
          "cursorLink": {
            "cursor": {}
          },
          "module": "string",
          "name": "string",
          "waitForEveryone": 0,
          "description": "string",
          "action": [
            {}
          ],
          "workflowactions": [
            {}
          ],
          "state_id": "string",
          "deadline": {
            "period": "string",
            "cursorLink": {},
            "schedules": [
              null
            ],
            "customFieldId": "string",
            "id": "string",
            "value": 0,
            "schedulesToCreate": [
              null
            ]
          },
          "state_id_str": "string"
        },
        "duringActionInfo": [
          {
            "actionType": "string",
            "cursorLink": {},
            "action_id": "string",
            "module": "string",
            "actionIdStr": "string",
            "details": {},
            "category": 0
          }
        ],
        "initiatedByUser": "string",
        "initiatedByAvatarUrl": "string",
        "statusChangedTime": "string",
        "workflowInfo": {
          "modifiedTime": "string",
          "workflow_id": "string",
          "cursorLink": {
            "cursor": {}
          },
          "createdByZuid": "string",
          "createdByUser": "string",
          "dataTemplateId": "string",
          "groupId": "string",
          "modifiedByZuid": "string",
          "description": "string",
          "transitions": [
            {
              "workflowactions": [],
              "triggers": [],
              "duringActionInfo": [],
              "transitionperformers": [],
              "action": []
            }
          ],
          "states": [
            {
              "action": [],
              "workflowactions": []
            }
          ],
          "chartData": {
            "nodes": [
              null
            ],
            "connections": [
              null
            ]
          },
          "sourceWorkflowId": 0,
          "workflowinstances": [
            {}
          ],
          "modifiedByUser": "string",
          "createdTime": "string",
          "createdTimeInMillis": 0,
          "sequenceNumber": 0,
          "currentRecordCount": 0,
          "module": "string",
          "startTransition": {
            "workflow_id": "string",
            "workflowInstanceInfo": {},
            "cursorLink": {},
            "canPerformTransition": true,
            "transitionId": "string",
            "module": "string",
            "description": "string",
            "workflowactions": [
              null
            ],
            "triggers": [
              null
            ],
            "completionRule": 0,
            "duringActionInfo": [
              null
            ],
            "target_state_id": "string",
            "isUserPartOfTransition": true,
            "transitionperformers": [
              null
            ],
            "source_state_id": "string",
            "name": "string",
            "transition_id_str": "string",
            "customFunctionDetails": {
              "arguments": []
            },
            "action": [
              null
            ],
            "id": "string"
          },
          "workflowactions": [
            {}
          ],
          "initiationType": 0,
          "creationType": 0,
          "name": "string",
          "clone": {},
          "modifiedTimeInMillis": 0,
          "status": 0
        },
        "instancelogs": [
          {
            "executedBy": "string",
            "owner": "string",
            "performedTransitionEvents": [
              null
            ],
            "triggerEventInfo": "string",
            "executedTransitionId": {},
            "cursorLink": {},
            "executedTime": "string",
            "fromStateId": {},
            "executedTransitionModule": "string",
            "executedByAvatarUrl": "string",
            "fromStateName": "string",
            "executedTriggerId": {},
            "executedByUser": "string",
            "versionNumber": "string",
            "performedActionEvents": [
              null
            ],
            "toStateName": "string",
            "executedByUserType": 0,
            "toStateId": {},
            "executedTriggerType": "string",
            "id": "string",
            "executedTimeInMillis": 0,
            "executedTransitionName": "string"
          }
        ],
        "statusChangedTimeInMillis": 0,
        "initiatedTime": "string",
        "customFunctionDetails": {
          "functionId": "string",
          "functionName": "string",
          "arguments": [
            {}
          ],
          "functionMapId": 0
        },
        "id": "string",
        "workflowId": "string",
        "initiatedBy": "string"
      }
    ],
    "statusChangeTimeI18": "string",
    "checkinNotes": "string",
    "openedTime": "string",
    "modifiedBy": "string",
    "collabId": "string",
    "copy": {},
    "created_time_in_millisecond": 0,
    "thumbnailUrl": "string",
    "creator": "string",
    "isMarkedFinal": true,
    "previewinfo": {
      "preview_data_original_url": "string",
      "preview_status": 0,
      "pubsub_key": "string",
      "preview_data_url": "string",
      "pubsub_config": "string",
      "conversion_size_limit_in_bytes": "string",
      "preview_data_hls_url": "string",
      "pubsub_uri": "string",
      "isdeveloper_file": true,
      "print_url": "string",
      "size": "string",
      "isDownloadServerFile": true,
      "preview_url": "string",
      "size_in_bytes": "string",
      "resource_type_modified": true,
      "conversion_size_limit": "string",
      "id": "string",
      "poster_image": "string"
    },
    "isPublished": true,
    "suggested_reason": 0,
    "uploadedTime": "string",
    "opened_time_in_millisecond": 0,
    "publiclink": [
      {
        "expirationDateInMillis": 0,
        "modifiedTime": "string",
        "resourceId": "string",
        "fileName": "string",
        "notes": "string",
        "cursorLink": {
          "cursor": {
            "next": "string",
            "hasNext": true
          }
        },
        "createdTimeI18": "string",
        "modifiedTimeI18": "string",
        "link": "string",
        "downloadUrl": "string",
        "type": "string",
        "linkName": "string",
        "inputFields": [
          {
            "fieldName": "string",
            "encryptField": true,
            "isNameField": true,
            "fieldOptions": [
              null
            ],
            "id": 0,
            "fieldType": "NUMBER",
            "fieldValue": {},
            "status": 0
          }
        ],
        "password": {
          "linkId": "string",
          "passwordText": "string"
        },
        "view": {
          "layout": "string",
          "gridViewSize": 0,
          "sortOrder": "string",
          "listingColumns": "string",
          "sortBy": "string",
          "filteredBy": "string"
        },
        "isPasswordProtected": true,
        "resourceExtension": "string",
        "createdTime": "string",
        "modifiedBy": "string",
        "allowDownload": true,
        "createdTimeInMillis": 0,
        "expirationDate": "string",
        "requestUserData": true,
        "useShortenLink": true,
        "passwordText": "string",
        "roleId": 0,
        "canDisplayProfile": true,
        "serviceName": "string",
        "embedLinkMode": {
          "embedUrl": "string",
          "dimension": {
            "width": 0,
            "height": 0
          }
        },
        "resourceStatus": 0,
        "linkId": "string",
        "downloadLink": {
          "downloadLimit": 0,
          "downloadLimitPerUser": 0
        },
        "createdBy": "string",
        "report": [
          {
            "additionalInformation": {},
            "isSupportAccessed": true,
            "uploadCount": 0,
            "eventBy": "string",
            "avatarUrl": "string",
            "userName": "string",
            "userId": "string",
            "event_by_user_type": 0,
            "recentActionTimeInMillis": 0,
            "recentAction": "string",
            "actionId": 0,
            "details": {},
            "viewCount": 0,
            "recentActionTime": "string",
            "downloadCount": 0
          }
        ],
        "timeline": [
          {
            "country": "string",
            "cursorLink": {},
            "os": "string",
            "action_type": 0,
            "ip_address": "string",
            "eventByUserEmailId": "string",
            "event_by_user_type": 0,
            "audit_info": [
              null
            ],
            "event_by": "string",
            "event_by_user": "string",
            "avatar_url": "string",
            "action_id": 0,
            "browser": "string",
            "time": 0,
            "resource_name": "string",
            "device": "string",
            "operation": "string",
            "user_agent": "string",
            "events": [
              null
            ],
            "accessTime": "string",
            "info": "string",
            "access_time": "string"
          }
        ],
        "linkType": "string",
        "isExpired": true,
        "modifiedTimeInMillis": 0,
        "status": 0,
        "register": [
          {
            "linkId": "string",
            "cursorLink": {},
            "registryId": "string",
            "collectionLinkId": "string",
            "userName": "string",
            "userId": "string",
            "modifiedTimeInMillis": 0,
            "createdTimeInMillis": 0,
            "dataEntry": {
              "fields": {}
            }
          }
        ]
      }
    ],
    "parentId": "string",
    "isUnread": true,
    "embedProps": {
      "embedUrl": "string",
      "dimension": {
        "width": 0,
        "height": 0
      }
    },
    "supportshare": {
      "email_id": "string",
      "cursorLink": {
        "cursor": {
          "next": "string",
          "hasNext": true
        }
      },
      "isSharedToPartOfLib": true,
      "shared_time_in_millis": 0,
      "shared_by": "string",
      "expiry_in_millis": 0,
      "relation_type": 0,
      "expiration_date": "string",
      "type": "string",
      "shareToEntityInfo": {
        "entityLabel": "string",
        "entityLabelI18": "string",
        "avatarUrl": "string",
        "displayName": "string",
        "emailId": "string",
        "type": 0,
        "collaboratorsCount": 0
      },
      "password": "string",
      "role_id": 0,
      "shared_time": "string",
      "appShareData": {
        "entity_label": "string",
        "entity_value": "string",
        "association_id": 0,
        "entity_id": "string",
        "appData": {
          "cursorLink": {
            "cursor": {}
          },
          "appName": "string",
          "appType": "string",
          "serviceOrgTypeId": 0,
          "canDissociate": true,
          "description": "string",
          "appKey": "string",
          "installationKey": "string"
        }
      },
      "shared_status": "string",
      "orgInvitedUser": true,
      "allow_for_suggestion": true,
      "resMeta": {
        "resourceShareInfo": [
          {
            "groupsCount": 0,
            "customized": true,
            "cursorLink": {},
            "associationsCount": 0,
            "resource_type": "string",
            "resourceName": "string",
            "id": "string",
            "collaboratorsCount": 0
          }
        ]
      },
      "can_link_to_docs": true,
      "owner": "string",
      "permissionid": "string",
      "shared_type": "string",
      "send_notification_mail": true,
      "allowSharingOutside": true,
      "shared_to_entity": "string",
      "integrationentitymembers": [
        {
          "permissionId": "string",
          "resourceId": "string",
          "cursorLink": {
            "cursor": {}
          },
          "avatarUrl": "string",
          "roleId": 0,
          "displayName": "string",
          "module": "string",
          "emailId": "string",
          "shareTo": "string",
          "entityId": "string",
          "integrationEntityId": "string",
          "associatedId": 0,
          "spaceId": "string",
          "sharedTimeForDisplay": "string",
          "sharedTime": 0,
          "sharedBy": "string",
          "integrationEntityMemberId": "string",
          "resourceType": 0
        }
      ],
      "delete_from_propagated_space": true,
      "isSharedViaWorkflow": true,
      "display_name": "string",
      "message": "string",
      "version": "string",
      "allow_download": true,
      "share_to": "string",
      "role_name": "string",
      "shareToMemberType": 0,
      "avatar_url": "string",
      "shared_to_member_type": 0,
      "shared_time_I18": "string",
      "is_password_protected": true,
      "resource_id": "string",
      "isExpired": true,
      "permalink": "string",
      "shared_by_zuid": "string",
      "isRestricted": true
    },
    "timeline": [
      {
        "country": "string",
        "cursorLink": {
          "cursor": {
            "next": "string",
            "hasNext": true
          }
        },
        "os": "string",
        "action_type": 0,
        "ip_address": "string",
        "eventByUserEmailId": "string",
        "event_by_user_type": 0,
        "audit_info": [
          "string"
        ],
        "event_by": "string",
        "event_by_user": "string",
        "avatar_url": "string",
        "action_id": 0,
        "browser": "string",
        "time": 0,
        "resource_name": "string",
        "device": "string",
        "operation": "string",
        "user_agent": "string",
        "events": [
          {
            "isSupportAccessed": true,
            "cursorLink": {},
            "parent_resource_name": "string",
            "resource_type": 0,
            "timeI18": "string",
            "iconClass": "string",
            "auditinfo": "string",
            "event_by": "string",
            "actionType": 0,
            "eventInfo": "string",
            "event_id": 0,
            "opened_time": 0,
            "isActionPerformedByAdmin": true,
            "parent_resource_type": 0,
            "parent_id": "string",
            "resource_id": "string",
            "library_name": "string",
            "actionId": "string",
            "time": 0,
            "resource_name": "string",
            "from_parent_id": "string",
            "event_time": 0,
            "action_status": 0
          }
        ],
        "accessTime": "string",
        "info": "string",
        "access_time": "string"
      }
    ],
    "entity": [
      {}
    ],
    "originName": "string",
    "statistics": {
      "summary": {
        "teamMemberViewCount": 0,
        "teamMemberUploadCount": 0,
        "externalLinkUploadCount": 0,
        "distinctExternalUsersCount": 0,
        "externalLinkViewCount": 0,
        "externalLinkDownloadCount": 0,
        "teamMemberDownloadCount": 0,
        "distinctTeamMembersCount": 0
      },
      "resourceId": "string",
      "uploadCount": 0,
      "linkDigest": [
        {
          "digestId": "string",
          "uploadCount": 0,
          "report": [
            {
              "additionalInformation": {}
            }
          ],
          "linkType": "string",
          "viewCount": 0,
          "downloadCount": 0,
          "viaLink": "string"
        }
      ],
      "viewCount": 0,
      "downloadCount": 0
    },
    "serviceType": "string",
    "modifiedTime": "string",
    "is_locked": true,
    "isOrganized": true,
    "emailInData": {
      "senderEmailId": "string"
    },
    "folders": [
      {}
    ],
    "shareData": [
      {
        "sharedTimeI18": "string",
        "sharedBy": "string",
        "sharedTime": "string",
        "isSharedViaWorkflow": true,
        "sharedType": 0,
        "sharedTo": "string",
        "sharedTimeInMillis": 0
      }
    ],
    "modifiedTimeI18": "string",
    "destination_id": "string",
    "newBadgeCount": 0,
    "storage_info": {
      "storage_used_by_app": "string",
      "files_count": 0,
      "folders_count": 0,
      "sizeUsedByTeamFoldersInBytes": 0,
      "storage_used_by_workdrive": "string",
      "size": "string",
      "size_in_bytes": 0,
      "storage_used_by_workdrive_inBytes": 0,
      "sizeUsedByTeamFolders": "string",
      "storageUsedByTeamFoldersInBytes": 0,
      "storageUsedByTeamFolders": "string",
      "storage_used_by_app_inBytes": 0,
      "storage_used": "string",
      "storage_used_in_bytes": 0
    },
    "resScope": 0,
    "userAccessTime": "string",
    "links": [
      {
        "expirationDateInMillis": 0,
        "modifiedTime": "string",
        "resourceId": "string",
        "fileName": "string",
        "notes": "string",
        "cursorLink": {
          "cursor": {
            "next": "string",
            "hasNext": true
          }
        },
        "createdTimeI18": "string",
        "modifiedTimeI18": "string",
        "link": "string",
        "downloadUrl": "string",
        "type": "string",
        "linkName": "string",
        "inputFields": [
          {
            "fieldName": "string",
            "encryptField": true,
            "isNameField": true,
            "fieldOptions": [
              null
            ],
            "id": 0,
            "fieldType": "NUMBER",
            "fieldValue": {},
            "status": 0
          }
        ],
        "password": {
          "linkId": "string",
          "passwordText": "string"
        },
        "view": {
          "layout": "string",
          "gridViewSize": 0,
          "sortOrder": "string",
          "listingColumns": "string",
          "sortBy": "string",
          "filteredBy": "string"
        },
        "isPasswordProtected": true,
        "resourceExtension": "string",
        "createdTime": "string",
        "modifiedBy": "string",
        "allowDownload": true,
        "createdTimeInMillis": 0,
        "expirationDate": "string",
        "requestUserData": true,
        "useShortenLink": true,
        "passwordText": "string",
        "roleId": 0,
        "canDisplayProfile": true,
        "serviceName": "string",
        "embedLinkMode": {
          "embedUrl": "string",
          "dimension": {
            "width": 0,
            "height": 0
          }
        },
        "resourceStatus": 0,
        "linkId": "string",
        "downloadLink": {
          "downloadLimit": 0,
          "downloadLimitPerUser": 0
        },
        "createdBy": "string",
        "report": [
          {
            "additionalInformation": {},
            "isSupportAccessed": true,
            "uploadCount": 0,
            "eventBy": "string",
            "avatarUrl": "string",
            "userName": "string",
            "userId": "string",
            "event_by_user_type": 0,
            "recentActionTimeInMillis": 0,
            "recentAction": "string",
            "actionId": 0,
            "details": {},
            "viewCount": 0,
            "recentActionTime": "string",
            "downloadCount": 0
          }
        ],
        "timeline": [
          {
            "country": "string",
            "cursorLink": {},
            "os": "string",
            "action_type": 0,
            "ip_address": "string",
            "eventByUserEmailId": "string",
            "event_by_user_type": 0,
            "audit_info": [
              null
            ],
            "event_by": "string",
            "event_by_user": "string",
            "avatar_url": "string",
            "action_id": 0,
            "browser": "string",
            "time": 0,
            "resource_name": "string",
            "device": "string",
            "operation": "string",
            "user_agent": "string",
            "events": [
              null
            ],
            "accessTime": "string",
            "info": "string",
            "access_time": "string"
          }
        ],
        "linkType": "string",
        "isExpired": true,
        "modifiedTimeInMillis": 0,
        "status": 0,
        "register": [
          {
            "linkId": "string",
            "cursorLink": {},
            "registryId": "string",
            "collectionLinkId": "string",
            "userName": "string",
            "userId": "string",
            "modifiedTimeInMillis": 0,
            "createdTimeInMillis": 0,
            "dataEntry": {
              "fields": {}
            }
          }
        ]
      }
    ],
    "custommetadata": [
      {
        "data_template_id": "string",
        "capabilities": {
          "canMove": true,
          "canEditComment": true,
          "canShowActiveWorkflowInstance": true,
          "canTrash": true,
          "canCheckout": true,
          "canFavourite": true,
          "canCreateGroup": true,
          "canDelete": true,
          "canTrashFiles": true,
          "canShowAccessStats": true,
          "canLeave": true,
          "canFavorite": true,
          "canShare": true,
          "canRestore": true,
          "canHaveOrgTemplates": true,
          "canDeleteComment": true,
          "canRemoveShare": true,
          "canCheckin": true,
          "canCreateFiles": true,
          "canUploadFiles": true,
          "canAssociateDataTemplate": true,
          "canCustomize": true,
          "canCreateTask": true,
          "canConfigureWorkflow": true,
          "canAccessMyfolder": true,
          "canEmailattach": true,
          "canDiscardCheckout": true,
          "canRead": true,
          "canReadComment": true,
          "canEdit": true,
          "canRename": true,
          "canZip": true,
          "hasAppPermissionAlone": true,
          "canSnooze": true,
          "canReplytoComment": true,
          "canSync": true,
          "canShareFiles": true,
          "canCancelCheckout": true,
          "canMarkAsFinal": true,
          "canMandateDataTemplate": true,
          "canCreateComment": true,
          "canCopy": true,
          "canPublish": true,
          "canDownload": true,
          "canJoin": true,
          "canDelistFile": true,
          "canPartialRead": true,
          "canShareSupport": true,
          "canShowActivity": true,
          "canLabel": true,
          "canDiassociate": true,
          "canShowWorkflowBlueprint": true,
          "canAbortWorkflow": true,
          "canResolveComment": true,
          "canManage": true,
          "canAddMembers": true,
          "canOpenWithAddons": true
        },
        "cursorLink": {
          "cursor": {
            "next": "string",
            "hasNext": true
          }
        },
        "can_add_or_update": true,
        "custommetadata_id": "string",
        "name": "string",
        "resource_id": "string",
        "description": "string",
        "dataTemplateType": 0,
        "custom_data": [
          {
            "data_template_id": "string",
            "apiName": "string",
            "cursorLink": {},
            "reorder_choices": [
              null
            ],
            "custom_field_id": "string",
            "column_name": "string",
            "index": 0,
            "display_name": "string",
            "type": "string",
            "field_properties": {},
            "multiEmailAdditionalInfo": [
              null
            ],
            "isSearchableFieldUpdateInProgress": true,
            "options": [
              null
            ],
            "emailAdditionalInfo": {},
            "choices": [
              null
            ],
            "value": "string"
          }
        ],
        "status": true,
        "is_associated_without_cf": true
      }
    ],
    "hasFolders": true,
    "resource_type": 0,
    "isFolder": true,
    "openedTimeI18": "string",
    "last_accessed_by": "string",
    "name": "string",
    "files": [
      {}
    ],
    "status_change_time_in_millisecond": 0,
    "isCollectionAssociated": true,
    "fileId": "string",
    "suggested_time": "string",
    "createdTimeI18": "string",
    "transferOwnershipNotes": "string",
    "records": [
      {}
    ],
    "instances": [
      {
        "journeyName": "string",
        "transitionusers": [
          {
            "instanceId": "string",
            "cursorLink": {},
            "userTypeStr": "string",
            "transitionId": "string",
            "userAvatarUrl": "string",
            "id": "string",
            "userName": "string",
            "userId": "string",
            "status": 0
          }
        ],
        "resourceId": "string",
        "cursorLink": {
          "cursor": {
            "next": "string",
            "hasNext": true
          }
        },
        "journeyInfo": {
          "modified_by_zuid": "string",
          "current_record_count": 0,
          "chart_data": {
            "nodes": [
              null
            ],
            "connections": [
              null
            ]
          },
          "cursorLink": {
            "cursor": {}
          },
          "dataTemplateId": "string",
          "instances": [
            {}
          ],
          "description": "string",
          "transitions": [
            {
              "workflowactions": [],
              "triggers": [],
              "duringActionInfo": [],
              "transitionperformers": [],
              "action": []
            }
          ],
          "created_by_user": "string",
          "states": [
            {
              "action": [],
              "workflowactions": []
            }
          ],
          "modified_time": "string",
          "action": [
            {}
          ],
          "execution_type": 0,
          "createdTimeInMillis": 0,
          "created_time": "string",
          "module": "string",
          "startTransition": {
            "workflow_id": "string",
            "workflowInstanceInfo": {
              "transitionusers": [],
              "workflowactions": [],
              "transitions": [],
              "duringActionInfo": [],
              "instancelogs": []
            },
            "cursorLink": {},
            "canPerformTransition": true,
            "transitionId": "string",
            "module": "string",
            "description": "string",
            "workflowactions": [
              null
            ],
            "triggers": [
              null
            ],
            "completionRule": 0,
            "duringActionInfo": [
              null
            ],
            "target_state_id": "string",
            "isUserPartOfTransition": true,
            "transitionperformers": [
              null
            ],
            "source_state_id": "string",
            "name": "string",
            "transition_id_str": "string",
            "customFunctionDetails": {
              "arguments": []
            },
            "action": [
              null
            ],
            "id": "string"
          },
          "sourceJourneyId": 0,
          "sequence_number": 0,
          "creationType": 0,
          "created_by_zuid": "string",
          "group_id": "string",
          "name": "string",
          "clone": {},
          "modified_by_user": "string",
          "journey_id": "string",
          "modifiedTimeInMillis": 0,
          "status": 0
        },
        "currentStateName": "string",
        "resourceIconClass": "string",
        "resourceName": "string",
        "duringactions": [
          {
            "cursorLink": {},
            "action_type": "string",
            "action_id": "string",
            "module": "string",
            "action_id_str": "string",
            "details": {},
            "category": 0
          }
        ],
        "journeyId": {},
        "initiatedTimeInMillis": 0,
        "transitions": [
          {
            "workflow_id": "string",
            "workflowInstanceInfo": {
              "transitionusers": [],
              "workflowactions": [],
              "transitions": [],
              "duringActionInfo": [],
              "instancelogs": []
            },
            "cursorLink": {},
            "canPerformTransition": true,
            "transitionId": "string",
            "module": "string",
            "description": "string",
            "workflowactions": [
              null
            ],
            "triggers": [
              null
            ],
            "completionRule": 0,
            "duringActionInfo": [
              null
            ],
            "target_state_id": "string",
            "isUserPartOfTransition": true,
            "transitionperformers": [
              null
            ],
            "source_state_id": "string",
            "name": "string",
            "transition_id_str": "string",
            "customFunctionDetails": {
              "arguments": []
            },
            "action": [
              null
            ],
            "id": "string"
          }
        ],
        "instanceStatus": 0,
        "currentStateInfo": {
          "workflow_id": "string",
          "cursorLink": {
            "cursor": {}
          },
          "module": "string",
          "name": "string",
          "waitForEveryone": 0,
          "description": "string",
          "action": [
            {}
          ],
          "workflowactions": [
            {}
          ],
          "state_id": "string",
          "deadline": {
            "period": "string",
            "cursorLink": {},
            "schedules": [
              null
            ],
            "customFieldId": "string",
            "id": "string",
            "value": 0,
            "schedulesToCreate": [
              null
            ]
          },
          "state_id_str": "string"
        },
        "initiatedByUser": "string",
        "initiatedByAvatarUrl": "string",
        "statusChangedTime": "string",
        "instancetransitions": [
          {
            "cursorLink": {},
            "canPerformTransition": true,
            "transitionId": "string",
            "isUserPartOfTransition": true,
            "name": "string",
            "description": "string",
            "id": "string",
            "completionRule": 0,
            "duringActionInfo": [
              null
            ]
          }
        ],
        "instancelogs": [
          {
            "executedBy": "string",
            "owner": "string",
            "performedTransitionEvents": [
              null
            ],
            "triggerEventInfo": "string",
            "executedTransitionId": {},
            "cursorLink": {},
            "executedTime": "string",
            "fromStateId": {},
            "executedTransitionModule": "string",
            "executedByAvatarUrl": "string",
            "fromStateName": "string",
            "executedTriggerId": {},
            "executedByUser": "string",
            "versionNumber": "string",
            "performedActionEvents": [
              null
            ],
            "toStateName": "string",
            "executedByUserType": 0,
            "toStateId": {},
            "executedTriggerType": "string",
            "id": "string",
            "executedTimeInMillis": 0,
            "executedTransitionName": "string"
          }
        ],
        "statusChangedTimeInMillis": 0,
        "initiatedTime": "string",
        "id": "string",
        "initiatedByZuid": "string"
      }
    ],
    "isParentCustomized": true,
    "description": "string",
    "title": "string",
    "uploaded_time_in_millisecond": 0,
    "commentBadgeCount": 0,
    "resourceproperty": {
      "dlpInfo": {
        "cursorLink": {
          "cursor": {
            "next": "string",
            "hasNext": true
          }
        },
        "dlpInfoId": "string",
        "dlpMetaInfo": [
          {
            "classificationLabelId": 0,
            "actionType": "string",
            "classificationLabelAssociatedActions": [
              null
            ],
            "cursorLink": {},
            "policyId": 0,
            "policyName": "string",
            "dlpMetaid": "string",
            "classificationLabelColor": "string",
            "associatedByUserName": "string",
            "classificationLabelName": "string",
            "classificationLabelType": 0,
            "associatedByUser": "string"
          }
        ],
        "dlpTopLevelActions": {
          "canWarnOnShare": true,
          "cursorLink": {
            "cursor": {}
          },
          "dlpTopLevelActionsid": "string",
          "canRestrictDownload": true,
          "canRestrictShare": true
        }
      },
      "resourceId": "string",
      "versionRetention": {
        "conditionApplied": "string",
        "basedOnDays": 0,
        "basedOnVersionCount": 0,
        "modeOfVersionRetention": "UNLIMITED"
      },
      "count_info": {
        "preview_count": 0,
        "download_count": 0
      },
      "additionalInfo": {
        "metadata": {
          "template": "string",
          "slides": "string",
          "focal_length": "string",
          "spreadSheetMetadata": {
            "template": "string",
            "slides": "string",
            "focal_length": "string",
            "spreadSheetMetadata": {},
            "map_point": "string",
            "iso": "string",
            "software": "string",
            "artist": "string",
            "language": "string",
            "pdfMetadata": {
              "indexMap": {}
            },
            "title": "string",
            "pdf_version": "string",
            "resolution": "string",
            "created_using": "string",
            "videoMetadata": {
              "indexMap": {}
            },
            "exposure_time": "string",
            "duration": "string",
            "documentMetadata": {
              "indexMap": {}
            },
            "pages": "string",
            "metering": "string",
            "genre": "string",
            "audioMetadata": {
              "indexMap": {}
            },
            "indexMap": {},
            "orientation": "string",
            "creator": "string",
            "address": "string",
            "album": "string",
            "author": "string",
            "format": "string",
            "camera_make": "string",
            "sample_rate": "string",
            "read_time": "string",
            "release_date": "string",
            "imageMetadata": {
              "indexMap": {}
            },
[...]
